%measurements
mea = zeros(2,125001,10);
mea_dis_1 = xlsread('position_X_9m_100sec.xlsx');
mea_acc_1 = xlsread('acceleration_X_9m_100sec.xlsx');
mea(:,:,1) = [mea_dis_1(:,2)' ; mea_acc_1(:,2)'];
mea_dis_2 = xlsread('position_X_20m_100sec.xlsx');
mea_acc_2 = xlsread('acceleration_X_20m_100sec.xlsx');
mea(:,:,2) = [mea_dis_2(:,2)' ; mea_acc_2(:,2)'];
mea_dis_3 = xlsread('position_X_31m_100sec.xlsx');
mea_acc_3 = xlsread('acceleration_X_31m_100sec.xlsx');
mea(:,:,3) = [mea_dis_3(:,2)' ; mea_acc_3(:,2)'];
mea_dis_4 = xlsread('position_X_42m_100sec.xlsx');
mea_acc_4 = xlsread('acceleration_X_42m_100sec.xlsx');
mea(:,:,4) = [mea_dis_4(:,2)' ; mea_acc_4(:,2)'];
mea_dis_5 = xlsread('position_X_53m_100sec.xlsx');
mea_acc_5 = xlsread('acceleration_X_53m_100sec.xlsx');
mea(:,:,5) = [mea_dis_5(:,2)' ; mea_acc_5(:,2)'];
mea_dis_6 = xlsread('position_X_64m_100sec.xlsx');
mea_acc_6 = xlsread('acceleration_X_64m_100sec.xlsx');
mea(:,:,6) = [mea_dis_6(:,2)' ; mea_acc_6(:,2)'];
mea_dis_7 = xlsread('position_X_75m_100sec.xlsx');
mea_acc_7 = xlsread('acceleration_X_75m_100sec.xlsx');
mea(:,:,7) = [mea_dis_7(:,2)' ; mea_acc_7(:,2)'];
mea_dis_8 = xlsread('position_X_86m_100sec.xlsx');
mea_acc_8 = xlsread('acceleration_X_86m_100sec.xlsx');
mea(:,:,8) = [mea_dis_8(:,2)' ; mea_acc_8(:,2)'];
mea_dis_9 = xlsread('position_X_97m_100sec.xlsx');
mea_acc_9 = xlsread('acceleration_X_97m_100sec.xlsx');
mea(:,:,9) = [mea_dis_9(:,2)' ; mea_acc_9(:,2)'];
mea_dis_10 = xlsread('position_X_107m_100sec.xlsx');
mea_acc_10 = xlsread('acceleration_X_107m_100sec.xlsx');
mea(:,:,10) = [mea_dis_10(:,2)' ; mea_acc_10(:,2)'];

alt_d = [9 20 31 42 53 64 75 86 97 108];
alt_a = [9 20 31 42 53 64 75 86 97 108];

errE = 0.05; %errpr on young modulus
errrho = 0.01; %error on volumic mass
errc = 0.1: %error on damping

opt_mat = zeros(length(alt_d),length(alt_a));

for i=1:length(alt_d)
    for j=1:length(alt_a)
        measure = [mea(1,:,i+9) ; mea(2,:,j+2)];
        opt_mat(i,j) = Joint_input_state_beam_err(errE,errrho,errc,measure,alt_d(i),alt_a(j));
    end 
end













