function [f] = modeShape(y)
    Mtip = 400*10^3; %[kg]
    rho = 8500; %[kg/m^3]
    l = 107.6; %[m]
    D = 6; %[m]
    t = 0.06 ; %[m]
    d = D - t; %[m]
    M = ((pi.*(D/2).^2)-(pi.*(d/2).^2))*l*rho ; %[kg]
    f=cos(y).*cosh(y) + 1 +  Mtip/M.*y.*(cos(y).*sinh(y) - sin(y).*cosh(y)) ;
end